{"id":18080,"date":"2018-11-24T08:10:36","date_gmt":"2018-11-24T08:10:36","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15531"},"modified":"2021-03-25T07:43:05","modified_gmt":"2021-03-25T07:43:05","slug":"get-bots-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/get-bots-api\/","title":{"rendered":"Get Bots API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To retrieve the list of bots available in an account.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Role Management<\/em> under <em>Role Management<\/em>.<\/p>\n<p><b>GET <\/b><code>https:\/\/{{host}}\/api\/public\/bots?offset=0&amp;limit=50s<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/Optional<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>offset<\/td>\n<td>Optional<\/td>\n<td>Specify the page number from which to start fetching the bots created in the account. If unspecified, it starts from 0, which is the first page of the list of bots.<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Optional<\/td>\n<td>The number of bots to fetch. The maximum applicable limit is 50.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n  'https:\/\/{{host}}\/api\/public\/bots?offset=0&amp;limit=50' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"total\": 69,\r\n    \"availableMore\": true,\r\n    \"bots\": [\r\n        {\r\n            \"_id\": \"st-eb254250-d9ea-5dfb-a369-7e104a115e51\",\r\n            \"purpose\": \"customer\",\r\n            \"createdBy\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"defaultLanguage\": \"en\",\r\n            \"accountId\": \"5c04ae921ad9976d311e9b4b\",\r\n            \"type\": \"default\",\r\n            \"resourceid\": \"btstreams\",\r\n            \"status\": \"configured\",\r\n            \"name\": \"GitHub Sample_1543832655266\",\r\n            \"description\": \"Bot built using Github API\u2019s to familiarize you with a few basic features of the platform. Provide the IDP  information and Trying the bot with your Git repo. Start exploring the configurations to know more about alert, action and knowledge tasks.\"\r\n        },\r\n        {\r\n            \"_id\": \"st-656dffde-34e7-58c6-885b-25a38112739d\",\r\n            \"purpose\": \"employee\",\r\n            \"createdBy\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"defaultLanguage\": \"en\",\r\n            \"accountId\": \"5c04ae921ad9976d311e9b4b\",\r\n            \"type\": \"default\",\r\n            \"resourceid\": \"btstreams\",\r\n            \"status\": \"configured\",\r\n            \"name\": \"Travel Planning Sample_1543832655269\",\r\n            \"description\": \"This sample bots holds the 5 task types that the platform offers. The bot is built using open APIs to get flight information,  location information and  weather details. Explore and train the bot for natural language to better respond to your intent.\"\r\n        }\r\n    ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To retrieve the list of bots available in an account. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Role Management under Role Management. GET https:\/\/{{host}}\/api\/public\/bots?offset=0&amp;limit=50s Query Parameters Parameter Required\/Optional Description host Required Environment URL, for example, https:\/\/bots.kore.ai offset...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18080","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18080","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18080"}],"version-history":[{"count":6,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18080\/revisions"}],"predecessor-version":[{"id":22560,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18080\/revisions\/22560"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18080"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18080"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18080"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}